Bug 1609805 - Add way for OpenStack installer to specify custom cloudprovider.conf
Summary: Add way for OpenStack installer to specify custom cloudprovider.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.z
Assignee: Tzu-Mainn Chen
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 13:58 UTC by Tzu-Mainn Chen
Modified: 2019-01-10 09:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-10 09:27:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0026 None None None 2019-01-10 09:27:16 UTC

Description Tzu-Mainn Chen 2018-07-30 13:58:46 UTC
Description of problem:

Users should have a way to specify a custom cloudprovider.conf, for custom configurations that the playbooks will be unable to set.

Comment 1 Tzu-Mainn Chen 2018-07-30 14:00:16 UTC
https://github.com/openshift/openshift-ansible/pull/7139 should fix this

Comment 2 Tzu-Mainn Chen 2018-08-02 18:49:09 UTC
3.10 backport merged: https://github.com/openshift/openshift-ansible/pull/9393

Comment 3 Scott Dodson 2018-08-14 21:40:13 UTC
Should be in openshift-ansible-3.10.28-1

Comment 6 weiwei jiang 2018-12-18 09:27:49 UTC
Checked with openshift-ansible-3.10.89-1 with following inventory variables, and cloud provider work well.

## Openstack credentials
openshift_cloudprovider_kind: openstack
openshift_cloudprovider_openstack_auth_url: "{{ lookup('env','OS_AUTH_URL') }}"
openshift_cloudprovider_openstack_username: "{{ lookup('env','OS_USERNAME') }}"
openshift_cloudprovider_openstack_password: "{{ lookup('env','OS_PASSWORD') }}"
openshift_cloudprovider_openstack_tenant_name: "{{ lookup('env','OS_TENANT_NAME') }}"
openshift_cloudprovider_openstack_domain_name: "{{ lookup('env','OS_USER_DOMAIN_NAME') }}"
openshift_cloudprovider_openstack_region: "{{ lookup('env', 'OS_REGION_NAME') }}"
openshift_cloudprovider_openstack_blockstorage_version: v2

Comment 8 errata-xmlrpc 2019-01-10 09:27:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0026


Note You need to log in before you can comment on or make changes to this bug.